Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network198.19.128.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
198.19.128.0
Broadcast address
198.19.143.255
First usable
198.19.128.1
Last usable
198.19.143.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Benchmarking 198.18.0.0/15
Network equipment testing (RFC 2544)
Old class
C (default /24)
As numbers
Hex C6138000 · Integer 3323166720 to 3323170815
Reverse DNS zones
128.19.198.in-addr.arpa
129.19.198.in-addr.arpa
130.19.198.in-addr.arpa
131.19.198.in-addr.arpa
132.19.198.in-addr.arpa
133.19.198.in-addr.arpa
134.19.198.in-addr.arpa
135.19.198.in-addr.arpa
136.19.198.in-addr.arpa
137.19.198.in-addr.arpa
138.19.198.in-addr.arpa
139.19.198.in-addr.arpa
140.19.198.in-addr.arpa
141.19.198.in-addr.arpa
142.19.198.in-addr.arpa
143.19.198.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11000110.00010011.10000000.00000000198.19.128.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network11000110.00010011.10000000.00000000198.19.128.0
Broadcast11000110.00010011.10001111.11111111198.19.143.255
Split into smaller subnets/27

198.19.128.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1198.19.128.0/27198.19.128.1 to 198.19.128.30198.19.128.3130
2198.19.128.32/27198.19.128.33 to 198.19.128.62198.19.128.6330
3198.19.128.64/27198.19.128.65 to 198.19.128.94198.19.128.9530
4198.19.128.96/27198.19.128.97 to 198.19.128.126198.19.128.12730
5198.19.128.128/27198.19.128.129 to 198.19.128.158198.19.128.15930
6198.19.128.160/27198.19.128.161 to 198.19.128.190198.19.128.19130
7198.19.128.192/27198.19.128.193 to 198.19.128.222198.19.128.22330
8198.19.128.224/27198.19.128.225 to 198.19.128.254198.19.128.25530
9198.19.129.0/27198.19.129.1 to 198.19.129.30198.19.129.3130
10198.19.129.32/27198.19.129.33 to 198.19.129.62198.19.129.6330
11198.19.129.64/27198.19.129.65 to 198.19.129.94198.19.129.9530
12198.19.129.96/27198.19.129.97 to 198.19.129.126198.19.129.12730
13198.19.129.128/27198.19.129.129 to 198.19.129.158198.19.129.15930
14198.19.129.160/27198.19.129.161 to 198.19.129.190198.19.129.19130
15198.19.129.192/27198.19.129.193 to 198.19.129.222198.19.129.22330
16198.19.129.224/27198.19.129.225 to 198.19.129.254198.19.129.25530
17198.19.130.0/27198.19.130.1 to 198.19.130.30198.19.130.3130
18198.19.130.32/27198.19.130.33 to 198.19.130.62198.19.130.6330
19198.19.130.64/27198.19.130.65 to 198.19.130.94198.19.130.9530
20198.19.130.96/27198.19.130.97 to 198.19.130.126198.19.130.12730
21198.19.130.128/27198.19.130.129 to 198.19.130.158198.19.130.15930
22198.19.130.160/27198.19.130.161 to 198.19.130.190198.19.130.19130
23198.19.130.192/27198.19.130.193 to 198.19.130.222198.19.130.22330
24198.19.130.224/27198.19.130.225 to 198.19.130.254198.19.130.25530
25198.19.131.0/27198.19.131.1 to 198.19.131.30198.19.131.3130
26198.19.131.32/27198.19.131.33 to 198.19.131.62198.19.131.6330
27198.19.131.64/27198.19.131.65 to 198.19.131.94198.19.131.9530
28198.19.131.96/27198.19.131.97 to 198.19.131.126198.19.131.12730
29198.19.131.128/27198.19.131.129 to 198.19.131.158198.19.131.15930
30198.19.131.160/27198.19.131.161 to 198.19.131.190198.19.131.19130
31198.19.131.192/27198.19.131.193 to 198.19.131.222198.19.131.22330
32198.19.131.224/27198.19.131.225 to 198.19.131.254198.19.131.25530
33198.19.132.0/27198.19.132.1 to 198.19.132.30198.19.132.3130
34198.19.132.32/27198.19.132.33 to 198.19.132.62198.19.132.6330
35198.19.132.64/27198.19.132.65 to 198.19.132.94198.19.132.9530
36198.19.132.96/27198.19.132.97 to 198.19.132.126198.19.132.12730
37198.19.132.128/27198.19.132.129 to 198.19.132.158198.19.132.15930
38198.19.132.160/27198.19.132.161 to 198.19.132.190198.19.132.19130
39198.19.132.192/27198.19.132.193 to 198.19.132.222198.19.132.22330
40198.19.132.224/27198.19.132.225 to 198.19.132.254198.19.132.25530
41198.19.133.0/27198.19.133.1 to 198.19.133.30198.19.133.3130
42198.19.133.32/27198.19.133.33 to 198.19.133.62198.19.133.6330
43198.19.133.64/27198.19.133.65 to 198.19.133.94198.19.133.9530
44198.19.133.96/27198.19.133.97 to 198.19.133.126198.19.133.12730
45198.19.133.128/27198.19.133.129 to 198.19.133.158198.19.133.15930
46198.19.133.160/27198.19.133.161 to 198.19.133.190198.19.133.19130
47198.19.133.192/27198.19.133.193 to 198.19.133.222198.19.133.22330
48198.19.133.224/27198.19.133.225 to 198.19.133.254198.19.133.25530
49198.19.134.0/27198.19.134.1 to 198.19.134.30198.19.134.3130
50198.19.134.32/27198.19.134.33 to 198.19.134.62198.19.134.6330
51198.19.134.64/27198.19.134.65 to 198.19.134.94198.19.134.9530
52198.19.134.96/27198.19.134.97 to 198.19.134.126198.19.134.12730
53198.19.134.128/27198.19.134.129 to 198.19.134.158198.19.134.15930
54198.19.134.160/27198.19.134.161 to 198.19.134.190198.19.134.19130
55198.19.134.192/27198.19.134.193 to 198.19.134.222198.19.134.22330
56198.19.134.224/27198.19.134.225 to 198.19.134.254198.19.134.25530
57198.19.135.0/27198.19.135.1 to 198.19.135.30198.19.135.3130
58198.19.135.32/27198.19.135.33 to 198.19.135.62198.19.135.6330
59198.19.135.64/27198.19.135.65 to 198.19.135.94198.19.135.9530
60198.19.135.96/27198.19.135.97 to 198.19.135.126198.19.135.12730
61198.19.135.128/27198.19.135.129 to 198.19.135.158198.19.135.15930
62198.19.135.160/27198.19.135.161 to 198.19.135.190198.19.135.19130
63198.19.135.192/27198.19.135.193 to 198.19.135.222198.19.135.22330
64198.19.135.224/27198.19.135.225 to 198.19.135.254198.19.135.25530
65198.19.136.0/27198.19.136.1 to 198.19.136.30198.19.136.3130
66198.19.136.32/27198.19.136.33 to 198.19.136.62198.19.136.6330
67198.19.136.64/27198.19.136.65 to 198.19.136.94198.19.136.9530
68198.19.136.96/27198.19.136.97 to 198.19.136.126198.19.136.12730
69198.19.136.128/27198.19.136.129 to 198.19.136.158198.19.136.15930
70198.19.136.160/27198.19.136.161 to 198.19.136.190198.19.136.19130
71198.19.136.192/27198.19.136.193 to 198.19.136.222198.19.136.22330
72198.19.136.224/27198.19.136.225 to 198.19.136.254198.19.136.25530
73198.19.137.0/27198.19.137.1 to 198.19.137.30198.19.137.3130
74198.19.137.32/27198.19.137.33 to 198.19.137.62198.19.137.6330
75198.19.137.64/27198.19.137.65 to 198.19.137.94198.19.137.9530
76198.19.137.96/27198.19.137.97 to 198.19.137.126198.19.137.12730
77198.19.137.128/27198.19.137.129 to 198.19.137.158198.19.137.15930
78198.19.137.160/27198.19.137.161 to 198.19.137.190198.19.137.19130
79198.19.137.192/27198.19.137.193 to 198.19.137.222198.19.137.22330
80198.19.137.224/27198.19.137.225 to 198.19.137.254198.19.137.25530
81198.19.138.0/27198.19.138.1 to 198.19.138.30198.19.138.3130
82198.19.138.32/27198.19.138.33 to 198.19.138.62198.19.138.6330
83198.19.138.64/27198.19.138.65 to 198.19.138.94198.19.138.9530
84198.19.138.96/27198.19.138.97 to 198.19.138.126198.19.138.12730
85198.19.138.128/27198.19.138.129 to 198.19.138.158198.19.138.15930
86198.19.138.160/27198.19.138.161 to 198.19.138.190198.19.138.19130
87198.19.138.192/27198.19.138.193 to 198.19.138.222198.19.138.22330
88198.19.138.224/27198.19.138.225 to 198.19.138.254198.19.138.25530
89198.19.139.0/27198.19.139.1 to 198.19.139.30198.19.139.3130
90198.19.139.32/27198.19.139.33 to 198.19.139.62198.19.139.6330
91198.19.139.64/27198.19.139.65 to 198.19.139.94198.19.139.9530
92198.19.139.96/27198.19.139.97 to 198.19.139.126198.19.139.12730
93198.19.139.128/27198.19.139.129 to 198.19.139.158198.19.139.15930
94198.19.139.160/27198.19.139.161 to 198.19.139.190198.19.139.19130
95198.19.139.192/27198.19.139.193 to 198.19.139.222198.19.139.22330
96198.19.139.224/27198.19.139.225 to 198.19.139.254198.19.139.25530
97198.19.140.0/27198.19.140.1 to 198.19.140.30198.19.140.3130
98198.19.140.32/27198.19.140.33 to 198.19.140.62198.19.140.6330
99198.19.140.64/27198.19.140.65 to 198.19.140.94198.19.140.9530
100198.19.140.96/27198.19.140.97 to 198.19.140.126198.19.140.12730
101198.19.140.128/27198.19.140.129 to 198.19.140.158198.19.140.15930
102198.19.140.160/27198.19.140.161 to 198.19.140.190198.19.140.19130
103198.19.140.192/27198.19.140.193 to 198.19.140.222198.19.140.22330
104198.19.140.224/27198.19.140.225 to 198.19.140.254198.19.140.25530
105198.19.141.0/27198.19.141.1 to 198.19.141.30198.19.141.3130
106198.19.141.32/27198.19.141.33 to 198.19.141.62198.19.141.6330
107198.19.141.64/27198.19.141.65 to 198.19.141.94198.19.141.9530
108198.19.141.96/27198.19.141.97 to 198.19.141.126198.19.141.12730
109198.19.141.128/27198.19.141.129 to 198.19.141.158198.19.141.15930
110198.19.141.160/27198.19.141.161 to 198.19.141.190198.19.141.19130
111198.19.141.192/27198.19.141.193 to 198.19.141.222198.19.141.22330
112198.19.141.224/27198.19.141.225 to 198.19.141.254198.19.141.25530
113198.19.142.0/27198.19.142.1 to 198.19.142.30198.19.142.3130
114198.19.142.32/27198.19.142.33 to 198.19.142.62198.19.142.6330
115198.19.142.64/27198.19.142.65 to 198.19.142.94198.19.142.9530
116198.19.142.96/27198.19.142.97 to 198.19.142.126198.19.142.12730
117198.19.142.128/27198.19.142.129 to 198.19.142.158198.19.142.15930
118198.19.142.160/27198.19.142.161 to 198.19.142.190198.19.142.19130
119198.19.142.192/27198.19.142.193 to 198.19.142.222198.19.142.22330
120198.19.142.224/27198.19.142.225 to 198.19.142.254198.19.142.25530
121198.19.143.0/27198.19.143.1 to 198.19.143.30198.19.143.3130
122198.19.143.32/27198.19.143.33 to 198.19.143.62198.19.143.6330
123198.19.143.64/27198.19.143.65 to 198.19.143.94198.19.143.9530
124198.19.143.96/27198.19.143.97 to 198.19.143.126198.19.143.12730
125198.19.143.128/27198.19.143.129 to 198.19.143.158198.19.143.15930
126198.19.143.160/27198.19.143.161 to 198.19.143.190198.19.143.19130
127198.19.143.192/27198.19.143.193 to 198.19.143.222198.19.143.22330
128198.19.143.224/27198.19.143.225 to 198.19.143.254198.19.143.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses